/*
 * Range.java       Jan 13, 2007
 *
 * Copyright (c) 2007, Brian Mulanda, all rights reserved.
 */

package edu.ksu.cis.ndpc;

/**
 * Represents a line reference associated with the range of statement numbers of
 * all statements enclosed within a box in natural deduction proof.
 * 
 * @author Brian Mulanda (<a
 *         href="mailto:bmulanda@ksu.edu">bmulanda@ksu.edu</a>)
 * 
 */

public class Range implements LineReference {
	private int begin;
	private int end;

	public Range(int begin, int end) {
		this.begin = begin;
		this.end = end;
	}

	public int getBegin() {
		return begin;
	}

	public int getEnd() {
		return end;
	}

	public String toString() {
		return begin + "-" + end;
	}
}